%define binary_name music-on-console

Name: moc
Version: 1.1.0
Release: alt0.3

Summary: Console MP3/OGG player
Group: Sound
License: GPL
Url: ftp://ftp.daper.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/pub/soft/moc/%name-%version.tar.gz

# hack, may be autoconf bag here
Patch: %name-1.1.0-alt-configure_hack.patch

# Automatically added by buildreq on Tue May 20 2003
BuildRequires: libao-devel libid3tag-devel libmad-devel libncurses-devel libogg-devel libtinfo-devel libvorbis-devel zlib-devel

%description
MOC is a console audio player with simple ncurses interface in
playmp3list style. 

Features:
- Supports MP3 and OGG formats.
- Play files from directory changing automatically to the next one
  without any playlist.
- Supports id3tag, VBR and Xing header for MP3.
- Simple mixer.
- Fast switching to your music directory.

%prep
%setup -q
%patch -p1

%__mv moc.8 %binary_name.1
%__subst 's,MOC 8,MOC 1,g' %binary_name.1
%__subst 's, moc, %binary_name\1 ,g' %binary_name.1
%__subst 's,moc.8,%binary_name.1,g' Makefile.am

%build
%__rm -f missing
%__libtoolize --copy --force 
%__aclocal
%__automake -a -c -f
%__autoconf

%configure
%make_build "DEFS=-DHAVE_CONFIG_H -DHAVE_PRIORITY"

%install
%makeinstall

pushd %buildroot/%_bindir
%__mv %name %binary_name
popd

# menu
%__cat  <<__MENU__ >%binary_name.menu
?package(%name):  \
  needs="text"  \
  command="%binary_name"  \
  icon="sound_section.png"  \
  title="MoC"  \
  genericname="Audio Player"  \
  longtitle="Music On Console"  \
  section="Multimedia/Sound"
__MENU__

%__install -pD -m644 %binary_name.menu %buildroot/%_menudir/%binary_name

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_man1dir/*
%_menudir/*
%doc AUTHORS ChangeLog NEWS TODO README config.example

%changelog
* Tue May 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.0-alt0.3
- Binary renamed to music-on-console (inger) to avoid incredible
  conflict with QT utility with the same name.
- menu (ZerG)

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.0-alt0.2
- new version
- qt-devel added to conflict list.

* Fri Nov 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1
- First build for Sisyphus.

